# Generated by Django 3.0.14 on 2022-06-23 15:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Answer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(default='')),
                ('info', models.TextField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='Dependency',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.TextField(default='')),
                ('text', models.TextField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='Metal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.TextField(default='')),
                ('name', models.TextField(default='')),
                ('link', models.TextField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='Property',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.TextField(default='')),
                ('dependencies', models.ManyToManyField(related_name='dep_props', to='ifompat_manager.Dependency')),
            ],
        ),
        migrations.CreateModel(
            name='PropertyValues',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('property', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ifompat_manager.Property')),
            ],
        ),
        migrations.CreateModel(
            name='Version',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('version_number', models.IntegerField(default=0)),
                ('done', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Value',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.TextField(default='')),
                ('version', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='values', to='ifompat_manager.Version')),
            ],
        ),
        migrations.CreateModel(
            name='Result',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.TextField(default='')),
                ('text', models.TextField(default='')),
                ('images', models.ManyToManyField(to='ifompat_manager.Image')),
                ('metal', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='results', to='ifompat_manager.Metal')),
                ('properties', models.ManyToManyField(to='ifompat_manager.PropertyValues')),
                ('version', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='results', to='ifompat_manager.Version')),
            ],
        ),
        migrations.CreateModel(
            name='QuestionType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.TextField(default='')),
                ('version', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='question_types', to='ifompat_manager.Version')),
            ],
        ),
        migrations.CreateModel(
            name='Question',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.TextField(default='')),
                ('text', models.TextField(default='')),
                ('info', models.TextField(default='')),
                ('answers', models.ManyToManyField(to='ifompat_manager.Answer')),
                ('dependencies', models.ManyToManyField(related_name='dep_questions', to='ifompat_manager.Dependency')),
                ('images', models.ManyToManyField(to='ifompat_manager.Image')),
                ('property', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ifompat_manager.Property')),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ifompat_manager.QuestionType')),
                ('version', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='questions', to='ifompat_manager.Version')),
            ],
        ),
        migrations.AddField(
            model_name='propertyvalues',
            name='values',
            field=models.ManyToManyField(to='ifompat_manager.Value'),
        ),
        migrations.AddField(
            model_name='propertyvalues',
            name='version',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='property_values', to='ifompat_manager.Version'),
        ),
        migrations.CreateModel(
            name='PropertyType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.TextField(default='')),
                ('version', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='property_types', to='ifompat_manager.Version')),
            ],
        ),
        migrations.AddField(
            model_name='property',
            name='property_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ifompat_manager.PropertyType'),
        ),
        migrations.AddField(
            model_name='property',
            name='values',
            field=models.ManyToManyField(to='ifompat_manager.Value'),
        ),
        migrations.AddField(
            model_name='property',
            name='version',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='properties', to='ifompat_manager.Version'),
        ),
        migrations.AddField(
            model_name='metal',
            name='version',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='metals', to='ifompat_manager.Version'),
        ),
        migrations.AddField(
            model_name='image',
            name='version',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='ifompat_manager.Version'),
        ),
        migrations.CreateModel(
            name='DependencyType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.TextField(default='')),
                ('version', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='dependency_types', to='ifompat_manager.Version')),
            ],
        ),
        migrations.AddField(
            model_name='dependency',
            name='dep_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ifompat_manager.DependencyType'),
        ),
        migrations.AddField(
            model_name='dependency',
            name='property',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='prop_deps', to='ifompat_manager.Property'),
        ),
        migrations.AddField(
            model_name='dependency',
            name='values',
            field=models.ManyToManyField(to='ifompat_manager.Value'),
        ),
        migrations.AddField(
            model_name='dependency',
            name='version',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='dependencies', to='ifompat_manager.Version'),
        ),
        migrations.AddField(
            model_name='answer',
            name='images',
            field=models.ManyToManyField(to='ifompat_manager.Image'),
        ),
        migrations.AddField(
            model_name='answer',
            name='values',
            field=models.ManyToManyField(to='ifompat_manager.Value'),
        ),
        migrations.AddField(
            model_name='answer',
            name='version',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='answers', to='ifompat_manager.Version'),
        ),
    ]
